Bug 764878 - (GLUSTER-3146) gluster build fails with permission denied on nfs mount
gluster build fails with permission denied on nfs mount
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: access-control (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-11 02:47 EDT by shishir gowda
Modified: 2013-12-08 20:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2011-07-11 02:31:50 EDT
Works when mounted with "-o nolock" option.
Comment 1 shishir gowda 2011-07-11 02:47:47 EDT
root@shishirng-laptop:/mnt/glusterfs/new# ./autogen.sh 
autom4te: cannot lock autom4te.cache/requests with mode 2: Permission denied
autom4te: cannot lock autom4te.cache/requests with mode 2: Permission denied
..then it hangs

err log (nfs):
[2011-07-11 12:10:21.586049] I [client3_1-fops.c:2228:client3_1_lookup_cbk] 0-new-client-1: remote operation failed: Stale NFS file handle
[2011-07-11 12:10:21.586199] I [client3_1-fops.c:2228:client3_1_lookup_cbk] 0-new-client-0: remote operation failed: Stale NFS file handle
Comment 2 M S Vishwanath Bhat 2011-07-12 12:29:15 EDT
With 3.2.2qa6 I'm seeing this issue. I mounted with -o nolock option

cat /proc/mounts  has following entry

10.1.10.21:hosdu /gmnt nfs rw,vers=3,rsize=65536,wsize=65536,hard,nolock,proto=tcp,timeo=600,retrans=2,sec=sys,addr=10.1.10.21 0 0

And I get following error while trying to build 

[root@client4 glusterfs]# ./autogen.sh
autom4te: cannot open autom4te.cache/requests: Permission denied
autoheader: /usr/bin/autom4te failed with exit status: 1
autom4te: cannot open autom4te.cache/requests: Permission denied
autom4te: cannot open autom4te.cache/requests: Permission denied
automake: autoconf failed with exit status: 1
autom4te: cannot open autom4te.cache/requests: Permission denied
autoheader: /usr/bin/autom4te failed with exit status: 1
autom4te: cannot open autom4te.cache/requests: Permission denied
autom4te: cannot open autom4te.cache/requests: Permission denied
automake: autoconf failed with exit status: 1
Comment 3 Anush Shetty 2011-07-12 19:02:24 EDT
Vishwanath, can you try it again? It worked for me
Comment 4 shishir gowda 2011-07-12 23:21:42 EDT
Please cleanup your installation and check.

This issue was fixed (dht_access_cbk)

Note You need to log in before you can comment on or make changes to this bug.